;
;
;
;    Resea (x86/boot3.asm)
;    Mafice <mafice@mflabo.net>
;
;

[bits 32]


boot3:
mov ax, 16
mov ds, ax
mov es, ax
mov fs, ax
mov gs, ax
mov ss, ax

mov esp, 0x7c00

;
; PICの初期化
;


mov  al, 0xff
out  0xa1, al
nop
out  0x21, al

mov  al, 0x11
out  0x20, al
nop
out  0xa0, al

mov  al, 0x20
out  0x21, al
mov  al, 0x28
out  0xa1, al

mov  al, 0x04
out  0x21, al
mov  al, 0x02
out  0xa1, al

mov  al, 0x01
out  0x21, al
nop
out  0xa1, al


mov  eax, 0x8c00
jmp  eax



times 0x400-($-$$) db 0

;
;  このバイナリファイルの直後にboot4がある
;

boot4:

